# Uses of Class
org.apache.lucene.search.BulkScorer

Packages that use BulkScorer
Package
Description
org.apache.lucene.search
Code to search indices.

- ## Uses of BulkScorer in org.apache.lucene.search

  Subclasses of BulkScorer in org.apache.lucene.search
  Modifier and Type
  Class
  Description
  `protected static class`
  `ConstantScoreQuery.ConstantBulkScorer`
  We return this as our `BulkScorer` so that if the CSQ wraps a query with its own optimized top-level scorer (e.g.
  `protected static class`
  `Weight.DefaultBulkScorer`
  Just wraps a Scorer and performs top scoring using it.
  Methods in org.apache.lucene.search that return BulkScorer
  Modifier and Type
  Method
  Description
  `final BulkScorer`
  ConstantScoreScorerSupplier.`bulkScorer()`
  `BulkScorer`
  ScorerSupplier.`bulkScorer()`
  Optional method: Get a scorer that is optimized for bulk-scoring.
  `final BulkScorer`
  Weight.`bulkScorer(LeafReaderContext context)`
  Helper method that delegates to `Weight.scorerSupplier(LeafReaderContext)`.
  Methods in org.apache.lucene.search with parameters of type BulkScorer
  Modifier and Type
  Method
  Description
  `protected LRUQueryCache.CacheAndCount`
  LRUQueryCache.`cacheImpl(BulkScorer scorer, int maxDoc)`
  Default cache implementation: uses `RoaringDocIdSet` for sets that have a density < 1% and a `BitDocIdSet` over a `FixedBitSet` otherwise.
  Constructors in org.apache.lucene.search with parameters of type BulkScorer
  Modifier
  Constructor
  Description
  ``
  `ConstantBulkScorer(BulkScorer bulkScorer, Weight weight, float theScore)`